Runtime

## org.eclipse.gmf.runtime.common.ui.services.action.global
Interface IGlobalActionHandler

All Known Implementing Classes:
  AbstractGlobalActionHandler

public interface IGlobalActionHandler

Interface that needs to implemented by the `IGlobalActionHandlerProvider`

Method Summary
`boolean` `canHandle(IGlobalActionContext context)` Return true if the handler can handle the context
`ICommand` `getCommand(IGlobalActionContext context)` Return the ICommand for the context
`java.lang.String` `getLabel(IGlobalActionContext context)` Gets the label for this global action, given the context.

Method Detail

### canHandle

    public boolean canHandle(IGlobalActionContext context)

  Return true if the handler can handle the context

  Parameters:
    `context` - The context
  Returns:
    boolean

### getCommand

    public ICommand getCommand(IGlobalActionContext context)

  Return the ICommand for the context

  Parameters:
    `context` - The context
  Returns:
    ICommand

### getLabel

    public java.lang.String getLabel(IGlobalActionContext context)

  Gets the label for this global action, given the context. Returns `null` if the default global action label should be used.

  Parameters:
    `context` - the global action context
  Returns:
    the global action label, or `null` if the default label should be used.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.